Bug 102028 - hanterm exhibits the dreaded backspace problem
hanterm exhibits the dreaded backspace problem
Product: Red Hat Linux
Classification: Retired
Component: hanterm-xf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Joo
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2003-08-08 20:59 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-24 15:57:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-08 20:59:42 EDT
Description of problem:
안녕 하세요.

Occasionally, while using hanterm, I have trouble backspacing.  I've identified
the problem.  For xterm, red hat has been diligent in establishing ^? as the
sequence generated by the backspace key.  However, in hanterm, typing ^V (to
tell the shell you want the literal character) followed by the backspace key
reveals that it is sending ^H.

I could, of course, manually use stty to tell the terminal that ^H is the
backspace sequence.  This is clearly the wrong solution.  Since both (correctly)
use a term type of xterm, there's no way for a .bashrc file to differentiate
between an xterm and a hanterm, so there's no way to automate this process. 
Regardless, hanterm should be consistent with the rest of Red Hat's terminal
programs, and emit ^? when backspace is pressed.

$ echo $TERM
$ stty -a
speed 38400 baud; rows 24; columns 80; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
-ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff
-iuclc -ixany -imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
echoctl echoke
$ rpm -q hanterm-xf
$ ^H

The last is where I typed ctrl-V backspace.  Since hanterm is using xterm as the
TERM type, I conclude this is not an error in the terminfo entry, since for
actual xterms it works fine.  It must be something in the code...

Nowadays, many apps seem to assume that both ^H and ^? are backspace, so this is
only a problem occasionally.  But when it manifests, it's painfully annoying, as
it becomes literally impossible to backspace.

Version-Release number of selected component (if applicable):

How reproducible:

WRT reproducability, I mean that backspace generates ^H every time, which it
should not.  As mentioned, that it does that is only sometimes a problem.

Steps to Reproduce:
1. see description.

Expected Results:  backspace should generate ^?

Additional info:
Comment 1 Elliot Lee 2004-08-24 15:57:37 EDT
Package is no longer in the distribution.

Note You need to log in before you can comment on or make changes to this bug.